# Removes a tag from a feature. DELETE https://app.unleash-instance.example.com/api/admin/features/{featureName}/tags/{type}/{value} Removes a tag from a feature. If the feature exists but the tag does not, it returns a successful response. Reference: https://docs.getunleash.io/api/remove-tag ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Removes a tag from a feature. version: endpoint_features.removeTag paths: /api/admin/features/{featureName}/tags/{type}/{value}: delete: operationId: remove-tag summary: Removes a tag from a feature. description: >- Removes a tag from a feature. If the feature exists but the tag does not, it returns a successful response. tags: - - subpackage_features parameters: - name: featureName in: path required: true schema: type: string - name: type in: path required: true schema: type: string - name: value in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: '#/components/schemas/Features_removeTag_Response_200' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} components: schemas: Features_removeTag_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/features/featureName/tags/type/value" headers = {"Authorization": ""} response = requests.delete(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/features/featureName/tags/type/value'; const options = {method: 'DELETE', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/features/featureName/tags/type/value" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/features/featureName/tags/type/value") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://app.unleash-instance.example.com/api/admin/features/featureName/tags/type/value") .header("Authorization", "") .asString(); ``` ```php request('DELETE', 'https://app.unleash-instance.example.com/api/admin/features/featureName/tags/type/value', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/features/featureName/tags/type/value"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/features/featureName/tags/type/value")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```